Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84013 - AS 2.1 kernel hangs during boot, on generic (non-numaq) systems with more than 8 CPUs.
Summary: AS 2.1 kernel hangs during boot, on generic (non-numaq) systems with more tha...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Larry Woodman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 23:13 UTC by Venkatesh Pallipadi
Modified: 2007-11-30 22:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 19:46:50 UTC


Attachments (Terms of Use)
Patch to support generic (non-numaq) > 8 CPU system, with summit kernel (deleted)
2003-02-10 23:16 UTC, Venkatesh Pallipadi
no flags Details | Diff

Description Venkatesh Pallipadi 2003-02-10 23:13:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:

On generic (non-numaq) systems with 8 physical P4s (16 logical), AS 2.1 kernel 
panic()s during boot, complaining about 
"Max APIC ID exceeded!".
The system has 16 - logical processors and 4 IO-APICs.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try booting AS 2.1 kernel on this system, the system panic()s
2.Also tried running AS 2.1 summit kernel on this system. That too fails at 
the same stage.
3.
    

Actual Results:  panic()

Expected Results:  normal boot of the system.

Additional info:

Comment 1 Venkatesh Pallipadi 2003-02-10 23:16:28 UTC
Created attachment 89982 [details]
Patch to support generic (non-numaq) > 8 CPU system, with summit kernel

Comment 2 Venkatesh Pallipadi 2003-02-10 23:17:25 UTC
A simple patch on AS 2.1 summit kernel boots up the above system. With this 
patch summit kernel can be used to support such systems.

The patch on top of AS 2.1 summit tree is attached.

Comment 3 Arjan van de Ven 2003-02-10 23:19:54 UTC
Red Hat Linux AS2.1 does not support more than 8 CPU's.

Comment 4 Larry Troan 2003-04-22 19:46:50 UTC
If this is a request for future products to support more than 8 CPUs, please
work with Keve Gabbert to submit through proper channels.


Note You need to log in before you can comment on or make changes to this bug.